Bug 160579 - org.netbeans.modules.j2ee.deployment.plugins.api.InstanceCreationException: no handlers
org.netbeans.modules.j2ee.deployment.plugins.api.InstanceCreationException: n...
Status: RESOLVED FIXED
Product: serverplugins
Classification: Unclassified
Component: Sun Appserver 9
6.x
All All
: P2 (vote)
: 6.x
Assigned To: Vince Kraemer
issues@serverplugins
http://statistics.netbeans.org/except...
EXCEPTIONS_REPORT
: ERGONOMICS, RANDOM
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-18 18:26 UTC by sunbiz
Modified: 2009-04-07 20:30 UTC (History)
10 users (show)

See Also:
Issue Type: DEFECT
:


Attachments
stacktrace (3.87 KB, text/plain)
2009-03-18 18:26 UTC, sunbiz
Details
stacktrace (3.87 KB, text/plain)
2009-03-20 09:33 UTC, big_al
Details
stacktrace (3.95 KB, text/plain)
2009-03-31 14:01 UTC, Marian Mirilovic
Details
stacktrace (3.96 KB, text/plain)
2009-03-31 15:11 UTC, gholmer
Details
stacktrace (3.97 KB, text/plain)
2009-03-31 16:38 UTC, aldobrucale
Details
stacktrace (3.96 KB, text/plain)
2009-04-01 12:40 UTC, giorgio42
Details

Note You need to log in before you can comment on or make changes to this bug.
Description sunbiz 2009-03-18 18:26:26 UTC
Build: NetBeans IDE Dev (Build 200903170201)
VM: Java HotSpot(TM) Client VM, 11.2-b01, Java(TM) SE Runtime Environment, 1.6.0_12-b04
OS: Linux, 2.6.27.19-3.2-pae, i386

User Comments:
rgarske: Trying to execute View Data on a View from an Oracle database. This was from the Services window of the ide, on an open
database connection. First there was an indication that BPEL was beeing aktivated, then came this exception.

GUEST: activating Web applications

davisn: 1. Install NB Trunk All version build, dated 02/19/2009
2. Launch the IDE
2. Select to activate GlassFish V2 server pluign
      While the activation is happing, select to activate GlassFish V3 Prelude server

GUEST: Activating GlassFish v1,v2 in the Plugins

yousef130: While using Execute Command, in jdbc for mysql connection

GUEST: Started wizard for new web application

pribyl: I activated J2EE plugin support after fresh instal of NB (I uninstalled previous version and both servers, deleted the userdir a downloaded latest build from the trunk).

chrislundin: activating plugin "Glassfish v3 Prelude"

sunbiz: Opening maven project threw this exception

nclavreul: I'm trying to activate web server

mjreged: Trying to turn on web plugins

ihsiak: I have installed fresh full-java 6.7m2 install. Then I have opened exsiting web project. Ide displayed info "Activating java EE" in statusbar, then exception occured.

GUEST: opening web.xml

stroudcuster: Activating Web & J2EE plugins

pribyl: I installed latest build ("Java", with J2EE support and server installation) and started with clean userdir.

When I selected New Project - Java Web - Web Application, I was prompted to activate the appropriate module. After hitting "Activate" button, this NPE was thrown.

Note: I had some issues with Glasfish v3 before, so I uninstall it with the IDE and tried to reinstall it. Obviously, there is still something wrong with that.



Stacktrace: 
org.netbeans.modules.j2ee.deployment.plugins.api.InstanceCreationException: Failed to create instance GlassFish v3 Prelude Domain.  See the server log file for details.
        at org.netbeans.modules.j2ee.deployment.impl.ServerRegistry.addInstance(ServerRegistry.java:356)
        at org.netbeans.modules.j2ee.deployment.plugins.api.InstanceProperties.createInstancePropertiesWithoutUI(InstanceProperties.java:260)
        at org.netbeans.modules.glassfish.javaee.JavaEEServerModuleFactory.createModule(JavaEEServerModuleFactory.java:112)
        at org.netbeans.modules.glassfish.common.GlassfishInstance.updateModuleSupport(GlassfishInstance.java:157)
        at org.netbeans.modules.glassfish.common.GlassfishInstance.<init>(GlassfishInstance.java:125)
        at org.netbeans.modules.glassfish.common.GlassfishInstance.create(GlassfishInstance.java:196)
Comment 1 sunbiz 2009-03-18 18:26:32 UTC
Created attachment 78402 [details]
stacktrace
Comment 2 Petr Hejl 2009-03-18 19:47:28 UTC
Seems this could be GF related. Perhaps even ergonomics issue... Feel free to reassign back to me if you think it
belongs to j2eeserver.
Comment 3 Vince Kraemer 2009-03-19 23:37:56 UTC
this is related to issue 156351.

The stack reads like the following is happening...

while the ServerRegistry is being created there is a call to createInstancePropertiesWithoutUI, that has a URL that is
not handled by any integration module that has been registered... so far. (basically, there is a race in the servers Map...)

I am not sure that we can completely prevent this from happening...

i have added some more diagnostic info to the exception message... maybe this will help us track this down.
Comment 4 big_al 2009-03-20 09:33:35 UTC
Build: NetBeans IDE Dev (Build 200902231810)
VM: Java HotSpot(TM) 64-Bit Server VM, 1.6.0_07-b06-57, Java(TM) SE Runtime Environment, 1.6.0_07-b06-153
OS: Mac OS X, 10.5.6, x86_64

User Comments: 
Opening the web.xml of the war project

Stacktrace: 
org.netbeans.modules.j2ee.deployment.plugins.api.InstanceCreationException: Failed to create instance GlassFish v3 Prelude Domain.  See the server log file for details.
        at org.netbeans.modules.j2ee.deployment.impl.ServerRegistry.addInstance(ServerRegistry.java:356)
        at org.netbeans.modules.j2ee.deployment.plugins.api.InstanceProperties.createInstancePropertiesWithoutUI(InstanceProperties.java:260)
        at org.netbeans.modules.glassfish.javaee.JavaEEServerModuleFactory.createModule(JavaEEServerModuleFactory.java:112)
        at org.netbeans.modules.glassfish.common.GlassfishInstance.updateModuleSupport(GlassfishInstance.java:157)
        at org.netbeans.modules.glassfish.common.GlassfishInstance.<init>(GlassfishInstance.java:125)
        at org.netbeans.modules.glassfish.common.GlassfishInstance.create(GlassfishInstance.java:196)
Comment 5 big_al 2009-03-20 09:33:39 UTC
Created attachment 78494 [details]
stacktrace
Comment 6 Quality Engineering 2009-03-21 08:35:26 UTC
Integrated into 'main-golden', will be available in build *200903210201* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/10832181ad3d
User: Vince Kraemer <vkraemer@netbeans.org>
Log: #160579: not a fix. adding diagnostics
Comment 7 Vince Kraemer 2009-03-30 22:07:24 UTC
OK.

I am starting to see feedback that indicates that the instance is being registered BEFORE any j2eeserver server plugins
have been registered... which is just plain strange...  still looking for fix.
Comment 8 Marian Mirilovic 2009-03-31 14:01:06 UTC
Build: NetBeans IDE Dev (Build 200903310200)
VM: Java HotSpot(TM) 64-Bit Server VM, 11.3-b02, Java(TM) SE Runtime Environment, 1.6.0_13-b03
OS: Linux, 2.6.27-11-generic, amd64

User Comments: 
while opening file nb-quality/tools/nbclocCounter/support/src.sql 

Stacktrace: 
org.netbeans.modules.j2ee.deployment.plugins.api.InstanceCreationException: Failed to create instance GlassFish V3.  See the server log file for details.
        at org.netbeans.modules.j2ee.deployment.impl.ServerRegistry.addInstance(ServerRegistry.java:356)
        at org.netbeans.modules.j2ee.deployment.plugins.api.InstanceProperties.createInstancePropertiesWithoutUI(InstanceProperties.java:260)
        at org.netbeans.modules.glassfish.javaee.JavaEEServerModuleFactory.createModule(JavaEEServerModuleFactory.java:112)
        at org.netbeans.modules.glassfish.common.GlassfishInstance.updateModuleSupport(GlassfishInstance.java:157)
        at org.netbeans.modules.glassfish.common.GlassfishInstance.<init>(GlassfishInstance.java:125)
        at org.netbeans.modules.glassfish.common.GlassfishInstance.create(GlassfishInstance.java:196)
Comment 9 Marian Mirilovic 2009-03-31 14:01:16 UTC
Created attachment 79136 [details]
stacktrace
Comment 10 Marian Mirilovic 2009-03-31 14:13:04 UTC
vrakemer, isn't that an ergonomics related issue ?

29 duplicates in last 30 dates -> P2
Comment 11 gholmer 2009-03-31 15:11:19 UTC
Build: NetBeans IDE Dev (Build 200903310200)
VM: Java HotSpot(TM) Client VM, 11.0-b15, Java(TM) SE Runtime Environment, 1.6.0_10-b33
OS: Linux, 2.6.24-23-generic, i386

User Comments: 
First startup of 200903310200 after installation. New userdir, imported from 6.5.

Stacktrace: 
org.netbeans.modules.j2ee.deployment.plugins.api.InstanceCreationException: Failed to create instance GlassFish V3.  See the server log file for details.
        at org.netbeans.modules.j2ee.deployment.impl.ServerRegistry.addInstance(ServerRegistry.java:356)
        at org.netbeans.modules.j2ee.deployment.plugins.api.InstanceProperties.createInstancePropertiesWithoutUI(InstanceProperties.java:260)
        at org.netbeans.modules.glassfish.javaee.JavaEEServerModuleFactory.createModule(JavaEEServerModuleFactory.java:112)
        at org.netbeans.modules.glassfish.common.GlassfishInstance.updateModuleSupport(GlassfishInstance.java:157)
        at org.netbeans.modules.glassfish.common.GlassfishInstance.<init>(GlassfishInstance.java:125)
        at org.netbeans.modules.glassfish.common.GlassfishInstance.create(GlassfishInstance.java:196)
Comment 12 gholmer 2009-03-31 15:11:31 UTC
Created attachment 79146 [details]
stacktrace
Comment 13 aldobrucale 2009-03-31 16:38:31 UTC
Build: NetBeans IDE Dev (Build 200903310200)
VM: Java HotSpot(TM) Client VM, 11.0-b15, Java(TM) SE Runtime Environment, 1.6.0_10-b33
OS: Linux, 2.6.27-11-generic, i386

User Comments: 
Openin projects created with nb 6.5

Stacktrace: 
org.netbeans.modules.j2ee.deployment.plugins.api.InstanceCreationException: Failed to create instance GlassFish V3.  See the server log file for details.
        at org.netbeans.modules.j2ee.deployment.impl.ServerRegistry.addInstance(ServerRegistry.java:356)
        at org.netbeans.modules.j2ee.deployment.plugins.api.InstanceProperties.createInstancePropertiesWithoutUI(InstanceProperties.java:260)
        at org.netbeans.modules.glassfish.javaee.JavaEEServerModuleFactory.createModule(JavaEEServerModuleFactory.java:112)
        at org.netbeans.modules.glassfish.common.GlassfishInstance.updateModuleSupport(GlassfishInstance.java:157)
        at org.netbeans.modules.glassfish.common.GlassfishInstance.<init>(GlassfishInstance.java:125)
        at org.netbeans.modules.glassfish.common.GlassfishInstance.create(GlassfishInstance.java:196)
Comment 14 aldobrucale 2009-03-31 16:38:36 UTC
Created attachment 79158 [details]
stacktrace
Comment 15 Vince Kraemer 2009-03-31 17:29:00 UTC
regarding http://www.netbeans.org/issues/show_bug.cgi?id=160579#desc11

It is very likely that this is related to Ergonomics... but I haven't been able to replicate the issue, so making that
determination is a hunch... not something that I can demonstrate and pass-off...
Comment 16 Michal Mocnak 2009-04-01 10:01:56 UTC
Marking as P1. It's a stopper for M3 actually.
Comment 17 Michal Mocnak 2009-04-01 10:14:31 UTC
Downgrading to P2 ;) it's not stopper for M3, but it should be nice to fix it for next M
Comment 18 Marian Mirilovic 2009-04-01 10:18:48 UTC
IDE works as expected after closing exceptions window - nasty but not a stopper for M3, definitely stopper for FCS.
Comment 19 giorgio42 2009-04-01 12:40:32 UTC
Build: NetBeans IDE Dev (Build 090327)
VM: Java HotSpot(TM) Client VM, 11.2-b01, Java(TM) SE Runtime Environment, 1.6.0_12-b04
OS: SunOS, 5.11, x86

User Comments: 
Tried to create a new Java web application project. Exception happened while J2EE functionality was being activated.


Stacktrace: 
org.netbeans.modules.j2ee.deployment.plugins.api.InstanceCreationException: Failed to create instance GlassFish V3.  See the server log file for details.
        at org.netbeans.modules.j2ee.deployment.impl.ServerRegistry.addInstance(ServerRegistry.java:356)
        at org.netbeans.modules.j2ee.deployment.plugins.api.InstanceProperties.createInstancePropertiesWithoutUI(InstanceProperties.java:260)
        at org.netbeans.modules.glassfish.javaee.JavaEEServerModuleFactory.createModule(JavaEEServerModuleFactory.java:112)
        at org.netbeans.modules.glassfish.common.GlassfishInstance.updateModuleSupport(GlassfishInstance.java:157)
        at org.netbeans.modules.glassfish.common.GlassfishInstance.<init>(GlassfishInstance.java:125)
        at org.netbeans.modules.glassfish.common.GlassfishInstance.create(GlassfishInstance.java:196)
Comment 20 giorgio42 2009-04-01 12:40:37 UTC
Created attachment 79218 [details]
stacktrace
Comment 21 Petr Hejl 2009-04-01 15:25:38 UTC
This has IMO same cause as issue 161146.
Comment 22 Petr Hejl 2009-04-01 15:27:45 UTC
GF is loading all instance in code creating the provider in order to register it. This leads to deadlock or race condition.
Comment 23 Vince Kraemer 2009-04-06 21:19:24 UTC
likely fixed by http://hg.netbeans.org/web-main/rev/55b6b94e9165
Comment 24 Quality Engineering 2009-04-07 20:22:24 UTC
Integrated into 'main-golden', will be available in build *200904071400* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/55b6b94e9165
User: Vince Kraemer <vkraemer@netbeans.org>
Log: #160579 161146 161885: races and deadlocks in startup processing
Comment 25 Vince Kraemer 2009-04-07 20:30:02 UTC
change in main-golden


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo